%define name mandrakelinux-theme
%define version 0.3.6
%define release 1mdk
%define scriptdir %{_datadir}/bootsplash/scripts/
%define mdk_bg %{_datadir}/mdk/backgrounds/

Summary: The default mandrakelinux theme for bootsplash and desktop background
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Configuration/Theme
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Prereq: bootsplash >= 2.0.2
BuildArchitectures: noarch
Provides: mandrake_theme mandrake-theme
Obsoletes: mandrake_theme mandrake-theme
Buildrequires: lilo

%description

This package contains the default bootsplash theme with its images and
configuration for different resolution as well as the lilo image and
the desktop background image.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

# the syslinux is not needed for the mandrakelinux-them package, but
# oftenly the installation syslinux image have to be done with
# the bootsplash theme.
for i in Mandrakelinux ; do
lilo-bmp2mdk file:$i/lilo/syslinux.bmp > $i/lilo/syslinux
lilo-bmp2mdk file:$i/lilo/lilo.bmp > $i/lilo/message
done

make install prefix=$RPM_BUILD_ROOT

%post
if [ -z "$DURING_INSTALL" ]; then
  if [ -x %scriptdir/switch-themes ]; then 
    %scriptdir/switch-themes Mandrakelinux
  fi
else
  if [ -f %_sysconfdir/sysconfig/bootsplash ]; then
    perl -pi -e 's/^\s*SPLASH=.*/SPLASH=auto/; s/^\s*THEME=.*/THEME=Mandrakelinux/' %_sysconfdir/sysconfig/bootsplash
  fi
  ln -s Mandrakelinux %_sysconfdir/bootsplash/themes/current
fi
if [ ! -f %mdk_bg/default.png -o -L %mdk_bg/default.png ]; then 
  rm -f %mdk_bg/default.png
  ln -s Mandrakelinux-1600x1200.png %mdk_bg/default.png 
fi
if [ ! -f %mdk_bg/Mandrakelinux.png -o -L %mdk_bg/Mandrakelinux.png ]; then 
  rm -f %mdk_bg/Mandrakelinux.png
  ln -s Mandrakelinux-1600x1200.png %mdk_bg/Mandrakelinux.png 
fi
if [ -f %mdk_bg/Mandrakelinux-root.png -a ! -f %mdk_bg/root/default.png -o -L %mdk_bg/root/default.png ]; then 
  rm -f %mdk_bg/root/default.png
  ln -s Mandrakelinux-root-1600x1200.png %mdk_bg/root/default.png 
fi

%preun
if [ "$1" == "0" ]; then
if [ -x %scriptdir/remove-theme ]; then 
  %scriptdir/remove-theme Mandrakelinux
fi 
  link=`readlink %mdk_bg/default.png`
  slink=${link:0:12}
  if [ "$slink" == "Mandrakelinux" ]; then rm -f %mdk_bg/default.png;fi
  link=`readlink %mdk_bg/Mandrakelinux.png`
  slink=${link:0:12}
  if [ "$slink" == "Mandrakelinux" ]; then rm -f %mdk_bg/Mandrakelinux.png;fi
  link=`readlink %mdk_bg/root/Mandrakelinux.png`
  slink=${link:0:17}
  if [ "$slink" == "Mandrakelinux-root" ]; then rm -f %mdk_bg/root/default.png;fi
  link=`readlink %_sysconfdir/bootsplash/themes/current`
  if [ "$link" == "Mandrakelinux" ]; then rm -f %_sysconfdir/bootsplash/themes/current;fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%_datadir/bootsplash/themes/Mandrakelinux
%config(noreplace) %_sysconfdir/bootsplash/themes/Mandrakelinux/*
%mdk_bg/Mandrakelinux*

%changelog
* Mon Apr  4 2005 Warly <warly@mandrakesoft.com> 0.3.6-1mdk
- The configuration file for 1280x1024 was wrong.
- Move down the text in resolution other than 800x600

* Mon Apr  4 2005 Warly <warly@mandrakesoft.com> 0.3.5-1mdk
- Really change the background

* Mon Apr  4 2005 Warly <warly@mandrakesoft.com> 0.3.4-1mdk
- Now default background is stars only

* Fri Apr  1 2005 Warly <warly@mandrakesoft.com> 0.3.3-1mdk
- fix the eyes

* Wed Mar 23 2005 Warly <warly@mandrakesoft.com> 0.3.2-1mdk
- fix lilo progress bar size

* Tue Mar 22 2005 Warly <warly@mandrakesoft.com> 0.3.1-1mdk
- include new definitions images
- try to update progress bar position in higher definitions than 800x600

* Mon Mar 21 2005 Warly <warly@mandrakesoft.com> 0.3.0-1mdk
- Limited Edition 2005 theme

* Thu Mar 10 2005 Warly <warly@mandrakesoft.com> 0.2.20-1mdk
- updated for rc1

* Tue Feb 22 2005 Warly <warly@mandrakesoft.com> 0.2.19-1mdk
- fix bad jpeg format

* Mon Feb 21 2005 Warly <warly@mandrakesoft.com> 0.2.18-1mdk
- theme for 10.2 beta 3
- add new x,y position for animation
- try to stop animation sooner, not to have it remaining in console mode

* Fri Feb  4 2005 Warly <warly@mandrakesoft.com> 0.2.17-1mdk
- theme for 10.2 beta 2

* Fri Jan 21 2005 Warly <warly@mandrakesoft.com> 0.2.16-1mdk
- 10.2 beta

* Fri Dec 24 2004 Warly <warly@mandrakesoft.com> 0.2.15-1mdk
- Cooker Xmas theme

* Mon Aug 23 2004 Warly <warly@mandrakesoft.com> 0.2.10-2mdk
- obsolete also mandrake-theme

* Tue Aug  3 2004 Warly <warly@mandrakesoft.com> 0.2.10-1mdk
- fix theme name in config file

* Thu Jul 29 2004 Warly <warly@mandrakesoft.com> 0.2.9-1mdk
- fix corporate configuration files

* Thu Jul 29 2004 Warly <warly@mandrakesoft.com> 0.2.8-1mdk
- fix post install scripts
- add prereq on bootplash for extra packages (server and desktop)

* Wed Jul 28 2004 Warly <warly@mandrakesoft.com> 0.2.7-1mdk
- include corporate server and desktop theme
- more Mandrake->Mandrakelinux switches

* Wed Jul 28 2004 Warly <warly@mandrakesoft.com> 0.2.5-4mdk
- coporate server 3.0

* Tue Jul 13 2004 Warly <warly@mandrakesoft.com> 0.2.5-3mdk
- Euskara version

* Tue May 11 2004 Warly <warly@mandrakesoft.com> 0.2.5-2mdk
- 10.0 Shuttle version

* Fri Feb 13 2004 Warly <warly@mandrakesoft.com> 0.2.5-1mdk
- switch lilo selection to white

* Fri Feb 13 2004 Warly <warly@mandrakesoft.com> 0.2.4-1mdk
- fix timer displaying

* Tue Jan 20 2004 Warly <warly@mandrakesoft.com> 0.2.2-1mdk
- Try to have a little better lilo color choice

* Wed Dec 31 2003 Warly <warly@mandrakesoft.com> 0.2.1-1mdk
- forget desktop background

* Wed Dec 31 2003 Warly <warly@mandrakesoft.com> 0.2.0-1mdk
- renamed mandrake-theme
- test theme

* Sat Sep 20 2003 Warly <warly@mandrakesoft.com> 0.1.1-1mdk
- do nothing in %%post in upgrade

* Mon Sep 15 2003 Warly <warly@mandrakesoft.com> 0.1.0-1mdk
- replace black 1024 and 1280 images for powerpack and mandrake theme
- new lilo with progress bar

* Tue Sep  9 2003 Warly <warly@mandrakesoft.com> 0.0.9-1mdk
- I am dead
- fix text in 800x600 mandrake/powerpack theme
- fix post powerpack theme script

* Tue Sep  9 2003 Warly <warly@mandrakesoft.com> 0.0.8-1mdk
- next time I commit suicide

* Mon Sep  8 2003 Warly <warly@mandrakesoft.com> 0.0.7-1mdk
- fix progress bar position in 800x600 for default theme

* Fri Sep  5 2003 Warly <warly@mandrakesoft.com> 0.0.6-1mdk
- fix discovery 1024x768

* Fri Aug 29 2003 Warly <warly@mandrakesoft.com> 0.0.5-1mdk
- new discovery black background
- various post install script fixes
- new discovery lilo boot logo

* Tue Aug 26 2003 Warly <warly@mandrakesoft.com> 0.0.4-1mdk
- s,backgrounds/mdk,mdk/backgrounds,
- fix remove_theme

* Tue Aug 26 2003 Warly <warly@mandrakesoft.com> 0.0.3-1mdk
- fix theme installation during install

* Tue Aug 26 2003 Warly <warly@mandrakesoft.com> 0.0.2-1mdk
- s,backgrounds,backgrounds/mdk,

* Mon Aug 25 2003 Warly <warly@mandrakesoft.com> 0.0.1-1mdk
- new theme package

# end of file
